Company logoTrust Center Documentation

Update a variant

Partially update a variant. Provide `translations` to diff localized titles (omit to leave unchanged, send `[]` to delete all). Options are not modified…

PATCH
/api/v1/variants/{id}

Partially update a variant. Provide translations to diff localized titles (omit to leave unchanged, send [] to delete all). Options are not modified through this endpoint; use the option subresource endpoints instead.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PATCH "https://example.com/api/v1/variants/string" \  -H "Content-Type: application/json" \  -d '{    "title": "Sector",    "translations": [      {        "languages_code": "en-US",        "title": "Sector"      }    ]  }'
{
  "success": true,
  "data": {
    "variant": {
      "id": "string",
      "title": "string",
      "slug": "string",
      "enabled": true,
      "order": 0,
      "translations": [
        {
          "id": "string",
          "languages_code": "en-US",
          "title": "string"
        }
      ],
      "options": [
        {
          "id": "string",
          "title": "string",
          "slug": "string",
          "enabled": true,
          "order": 0,
          "translations": [
            {
              "id": "string",
              "languages_code": "en-US",
              "title": "string"
            }
          ]
        }
      ]
    }
  }
}
Empty
Empty
Empty
{
  "error": "slug_already_exists"
}
Empty

How is this guide?